## libjs-term.js 0.0.4

=== Makefile ===
all:
	@cp src/term.js term.js
	@uglifyjs -o term.min.js term.js

clean:
	@rm term.js
	@rm term.min.js

bench:
	@node test/bench

.PHONY: clean all

=== debian/changelog ===
libjs-term.js (0.0.4-1) unstable; urgency=low

  * Initial release. (Closes: #778625)

 -- Thomas Goirand <zigo@debian.org>  Tue, 17 Feb 2015 16:34:09 +0100

=== debian/control ===
Source: libjs-term.js
Section: web
Priority: extra
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>
Build-Depends: debhelper (>= 9), node-uglify
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-javascript/libjs-term.js.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-javascript/libjs-term.js.git
Homepage: https://github.com/chjj/term.js

Package: libjs-term.js
Architecture: all
Depends: ${misc:Depends}
Recommends: javascript-common
Description: full xterm clone written in javascript
 Term.js is a full xterm clone written in javascript. It is a fork from the
 original work of Fabrice Bellard's javascript vt100 for jslinux (with the
 author's permission. The original design remains. The terminal itself has been
 extended to include xterm CSI codes, among other features.

## libjs-term.js 0.0.7

=== debian/changelog ===
libjs-term.js (0.0.7-4) unstable; urgency=medium

  * Team upload
  * Update standards version to 4.6.1, no changes needed.
  * Fix debian/watch

 -- Yadd <yadd@debian.org>  Mon, 31 Oct 2022 10:02:04 +0100

libjs-term.js (0.0.7-3) unstable; urgency=medium

  * team upload
  * Bump debhelper from old 12 to 13.
  * Declare compliance with policy 4.6.0
  * Add "Rules-Requires-Root: no"
  * Modernize debian/watch

 -- Yadd <yadd@debian.org>  Thu, 28 Oct 2021 05:48:25 +0200

libjs-term.js (0.0.7-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Change priority extra to priority optional.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update Vcs-* headers from URL redirect.
  * Use canonical URL in Vcs-Git.
  * Apply multi-arch hints.
    + libjs-term.js: Add Multi-Arch: foreign.

  [ Thomas Goirand ]
  * Replace node-uglify by uglifyjs (Closes: #979905).

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 Jan 2021 09:37:36 +0100

libjs-term.js (0.0.7-1) unstable; urgency=medium

  * New upstream release.
  * Ran wrap-and-sort -bast.
  * Switched to debhelper 10.
  * Using HTTPS for VCS URLs.
  * Fixed debian/copyright ordering.
  * Standards-Version is now 4.1.1.
  * Added a watch file.
  * Section is now javascript instead of web.

 -- Thomas Goirand <zigo@debian.org>  Sat, 14 Oct 2017 19:06:56 +0200

=== debian/control ===
Source: libjs-term.js
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 uglifyjs,
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/js-team/libjs-term.js.git
Vcs-Browser: https://salsa.debian.org/js-team/libjs-term.js
Homepage: https://github.com/chjj/term.js
Rules-Requires-Root: no

Package: libjs-term.js
Architecture: all
Depends:
 ${misc:Depends},
Recommends:
 javascript-common,
Multi-Arch: foreign
Description: full xterm clone written in javascript
 Term.js is a full xterm clone written in javascript. It is a fork from the
 original work of Fabrice Bellard's javascript vt100 for jslinux (with the
 author's permission. The original design remains. The terminal itself has been
 extended to include xterm CSI codes, among other features.

=== debian/watch ===
version=4
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/chjj/term.js/tags .*/v?(\d[\d\.]+)@ARCHIVE_EXT@
